org.eclipse.actf.model.dom.odf

## Class ODFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.actf.model.dom.odf.ODFException

All Implemented Interfaces:
  Serializable

    public class ODFException
    extends Exception

When a ODF parser meets an unexpected and unrecoverable error, ODFException is thrown

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ODFException()`
`ODFException(String message)`
`ODFException(String message, Throwable cause)`
`ODFException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ODFException

    public ODFException()

#### ODFException

    public ODFException(String message)

Parameters:
  `message` -

#### ODFException

    public ODFException(String message,
                Throwable cause)

Parameters:
  `message` -
  `cause` -

#### ODFException

    public ODFException(Throwable cause)

Parameters:
  `cause` -